net.sf.jasperreports.engine.design

## Class JRDesignExpression

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseExpression
  - - net.sf.jasperreports.engine.design.JRDesignExpression

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRExpression

      public class JRDesignExpression
      extends JRBaseExpression
      implements JRChangeEventsSupport

  Version:
    $Id: JRDesignExpression.java 7030 2014-04-17 14:58:30Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<JRExpressionChunk>` | `chunks`
    `protected static boolean` | `LEGACY_PARSER`
    `static java.util.regex.Pattern` | `PLACEHOLDER_PATTERN`
    `protected static int` | `PLACEHOLDER_TEXT_INDEX`
    `protected static int` | `PLACEHOLDER_TYPE_INDEX`
    `static java.lang.String` | `PROPERTY_LEGACY_PARSER`
    `static java.lang.String` | `PROPERTY_TEXT`
    `static java.lang.String` | `PROPERTY_VALUE_CLASS_NAME` Deprecated. To be removed.

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseExpression

      `id, valueClass, valueClassName, valueClassRealName`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRExpression

      `EVALUATION_DEFAULT, EVALUATION_ESTIMATED, EVALUATION_OLD, NOT_USED_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignExpression()`
    `JRDesignExpression(java.lang.String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addChunk(byte type, java.lang.String text)`
    `void` | `addChunk(JRDesignExpressionChunk chunk)`
    `void` | `addFieldChunk(java.lang.String text)`
    `void` | `addParameterChunk(java.lang.String text)`
    `void` | `addResourceChunk(java.lang.String text)`
    `void` | `addTextChunk(java.lang.String text)`
    `void` | `addVariableChunk(java.lang.String text)`
    `protected static byte` | `chunkStringToType(java.lang.String chunkStringType)`
    `java.lang.Object` | `clone()`
    `JRExpressionChunk[]` | `getChunks()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `protected void` | `legacyParseText(java.lang.String text)`
    `protected void` | `parseText(java.lang.String text)`
    `void` | `setChunks(java.util.List<JRExpressionChunk> chunks)` Clears the current list of chunks and adds the passed list of chunks.
    `void` | `setId(int id)` FIXMENOW remove me?
    `void` | `setText(java.lang.String text)`
    `void` | `setValueClass(java.lang.Class<?> clazz)` Deprecated. To be removed.
    `void` | `setValueClassName(java.lang.String className)` Deprecated. To be removed.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseExpression

      `escapeTextChunk, getId, getText, getValueClass, getValueClassName, regenerateId`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_LEGACY_PARSER

          public static final java.lang.String PROPERTY_LEGACY_PARSER

      See Also:
        Constant Field Values

    - #### LEGACY_PARSER

          protected static final boolean LEGACY_PARSER

    - #### PLACEHOLDER_PATTERN

          public static final java.util.regex.Pattern PLACEHOLDER_PATTERN

    - #### PLACEHOLDER_TYPE_INDEX

          protected static final int PLACEHOLDER_TYPE_INDEX

      See Also:
        Constant Field Values

    - #### PLACEHOLDER_TEXT_INDEX

          protected static final int PLACEHOLDER_TEXT_INDEX

      See Also:
        Constant Field Values

    - #### PROPERTY_TEXT

          public static final java.lang.String PROPERTY_TEXT

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_CLASS_NAME

          public static final java.lang.String PROPERTY_VALUE_CLASS_NAME

      Deprecated. To be removed.
      See Also:
        Constant Field Values

    - #### chunks

          protected java.util.List<JRExpressionChunk> chunks

  - ### Constructor Detail

    - #### JRDesignExpression

          public JRDesignExpression()

    - #### JRDesignExpression

          public JRDesignExpression(java.lang.String text)

  - ### Method Detail

    - #### setValueClass

          public void setValueClass(java.lang.Class<?> clazz)

      Deprecated. To be removed.

    - #### setValueClassName

          public void setValueClassName(java.lang.String className)

      Deprecated. To be removed.

    - #### setId

          public void setId(int id)

      FIXMENOW remove me?

    - #### getChunks

          public JRExpressionChunk[] getChunks()

      Specified by:
        `getChunks` in interface `JRExpression`
      Overrides:
        `getChunks` in class `JRBaseExpression`

    - #### setChunks

          public void setChunks(java.util.List<JRExpressionChunk> chunks)

      Clears the current list of chunks and adds the passed list of chunks. The reference to the list passed is not kept.

    - #### addChunk

          public void addChunk(JRDesignExpressionChunk chunk)

    - #### addChunk

          protected void addChunk(byte type,
                      java.lang.String text)

    - #### addTextChunk

          public void addTextChunk(java.lang.String text)

    - #### addParameterChunk

          public void addParameterChunk(java.lang.String text)

    - #### addFieldChunk

          public void addFieldChunk(java.lang.String text)

    - #### addVariableChunk

          public void addVariableChunk(java.lang.String text)

    - #### addResourceChunk

          public void addResourceChunk(java.lang.String text)

    - #### setText

          public void setText(java.lang.String text)

    - #### legacyParseText

          protected void legacyParseText(java.lang.String text)

    - #### parseText

          protected void parseText(java.lang.String text)

    - #### chunkStringToType

          protected static byte chunkStringToType(java.lang.String chunkStringType)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseExpression`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com